@import "styles/variables";
@import "styles/theme";

main {
    min-height: calc(100vh - 100px);
}

p {
    margin: 0;
    padding: 0;
}

body {
    font-family: $font-family-primary;

    &::-webkit-scrollbar {
        background-color: $deep-white;
        width: $default;
    }
    &::-webkit-scrollbar-track {
        background-color: $deep-white;
    }
    &::-webkit-scrollbar-thumb {
        background-color: $light-gray;
        border-radius: $default;
        border: 4px solid $deep-white;
    }
    &::-webkit-scrollbar-button {
        display: none;
    }
}

.primary-button,
.outline-button {
    background-image: linear-gradient(90deg, #598bff, #36f);
    border: none;
    box-shadow: 0 0 0 0 #274bdb, 0 0 0 0 #1a34b8, 0 0 transparent;
    color: #fff;
    padding: 0.6875rem 1.125rem;
    text-transform: uppercase;
    transition: 0.2s all;
    border-radius: .25rem;

    &:hover {
        background-image: linear-gradient(90deg, #a6c1ff, #598bff);
        transition: all 0.5s ease;
        -webkit-transition: all 0.5s ease;
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        -ms-transition: all 0.5s ease;
    }

    &:focus {
        box-shadow: 0 0 0 0 #274bdb, 0 0 0 0 #1a34b8, 0 0 transparent,
            0 0 0 0.375rem #2e3a59;
        transition: 0.2s all;
    }

    &:active {
        background-image: linear-gradient(90deg, #36f, #274bdb);
        transition: 0.2s all;
    }
}

.outline-button {
    background: transparent;
    border: 1px solid #0095ff;
}

.dark-theme {
    background-color: $color-basic-1000;
    color: $color-basic-100;
    border-color: $color-basic-100;

    .modal-dialog {
        box-shadow: $dark-shadow;
    }

    .user-logo {
        background-color: $color-primary-700 !important;
    }

    .form-control {
        background-color: $color-basic-800 !important;
        color: $color-basic-100 !important;

        input {
            background-color: $color-basic-800 !important;
            color: $color-basic-100 !important;
        }
    }

    .modal-content {
        background-color: $color-basic-800 !important;
        color: $color-basic-100 !important;
    }

    .modal-header {
        border: 1px solid #151a30;
    }

    main {
        section {
            background-color: $color-basic-800;
            color: $color-basic-100;

            .user-guest {
                border-color: $color-basic-100;
            }
        }

        svg {
            fill: $color-basic-100;
        }
    }

    .dropdown-menu {
        background-color: $background-alternative-color-1 !important;
        border: 0.0625rem solid $border-alternative-color-5 !important;
        color: $color-basic-100;

        li {
            a {
                color: $color-basic-100;
            }

            border-color: $border-alternative-color-5 !important;
        }
    }

    &::-webkit-scrollbar {
        background-color: $color-basic-1000;
    }
    &::-webkit-scrollbar-track {
        background-color: $color-basic-1000;
    }
    &::-webkit-scrollbar-thumb {
        background-color: $color-basic-600;
        border: 4px solid $color-basic-1000;
    }
    &::-webkit-scrollbar-button {
        display: none;
    }
}

.fa-user,
.fa-user-plus {
    color: $primary;
}

.step-head {
    text-align: center;
    font-weight: 600;
    font-size: 34px;
    margin-bottom: 30px;
}

